Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPrintParams Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPrint_params:
| Constructor, with another print parameters object. More...

## Properties
FSPrintParamsBookletBinding | binding
| The value determines the paper binding direction and the page arrange order. Please refer to values starting from FSPrintParamsBookletBindingRight and this should be one of these values.
FSPrintParamsBookletDuplexMode | booklet_duplex_mode
| The value determines the duplex printing mode when printing a booklet.Please refer to values starting from FSPrintParamsBookletDuplexModeBothSides and this should be one of these values.
FSPrintParamsDuplexType | duplex_type
| Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from FSPrintParamsDuplexTypeSimplex and this should be one of these values.
FSPrintParamsPrintHandling | handling
| The print handling type.Please refer to values starting from FSPrintParamsPrintHandlingNone and this should be one of these values.
BOOL | is_print_as_image
| YES means that pages should be printed as image.
BOOL | is_print_auto_center
| YES means that each page is automatically centered relative to the paper.
BOOL | is_print_auto_rotate
| YES means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. NO means not.
BOOL | is_print_page_border
| A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.
BOOL | is_reverse
| YES means that the printing order should be from parameter end to parameter start.
BOOL | is_show_ui
| YES means that a UI should be presented to the user to obtain printing information and confirm the action.
BOOL | is_simulate_overprinting
| YES means to do overprint preview when printing. NO means not.
BOOL | is_tile_label
| Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.
int | num_copies
| The number of copies to be printed.
int | num_pages_h
| The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.
int | num_pages_v
| The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.
NSString * | output_file_name
| The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).
FSPrintParamsPageOrder | page_order
| The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from FSPrintParamsPageOrderHorizontal and this should be one of these values.
FSRange * | page_range
| A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.
FSPrintParamsPrintContent | print_content
| Specif content for printing. Please refer to values starting from FSPrintParamsPrintContentDocument and this should be one of these values.
NSString * | printer_name
| The default printer name for printing.
BOOL | tile_mark
| YES means to cut the page, and NO means not.
float | tile_overlap
| The number of points that tiled pages have in common.
float | tile_scale
| The amount that tiled pages are scaled.

## Detailed Description

This class represents print parameters.

## Method Documentation

## ◆ initWithPrint_params:()

- (id) initWithPrint_params: |  | (FSPrintParams*) | print_params |

Constructor, with another print parameters object.

Parameters

  [in] | print_params | Another print parameters object.